//
//  BLEDeviceManagerDelegate.h
//  PallySDK
//
//

#import <Foundation/Foundation.h>

@class BLEDeviceManager;
@protocol BLEDeviceManagerStorageDelegate <NSObject>
@optional
#pragma mark - Methods to handle storage of BLE device
- (void)deviceManger:(BLEDeviceManager *)deviceManger saveDeviceWithUUID:(NSString *)uuid name:(NSString *)defalutName;

#pragma mark - Methods to handle storage of Weight record (basedata)
// basedata is the original weight data from Scale, you can convert it using the following method to kg/lb
// kg = [[BLEDeviceManager sharedInstance] displayValueByKG:basedata]
// lb = [[BLEDeviceManager sharedInstance] displayValueByLB:basedata]
- (void)deviceManger:(BLEDeviceManager *)deviceManger saveRecordFromRealTimeWeighWithData:(float)basedata ownerId:(int)ownerId timestamp:(long long)timestamp uuid:(NSString *)uuid;
- (void)deviceManger:(BLEDeviceManager *)deviceManger saveRecordDownloadFromScaleWithData:(float)basedata timestamp:(long long)timestamp uuid:(NSString *)uuid;

@end
